#include <bits/stdc++.h>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);
    int n, k;
    cin >> n >> k;
    int p, prvi, broj;
    for(int i = 0;i < n;i++) {
        cin >> p;
        if(i == 0)
            prvi = p;
        if(p == k && i != n-1) {
            cin >> broj;
            i += 1;
        }
        else if(p == k && i == n-1) {
            broj = prvi;
        }
    }
    cout << broj;
    return 0;
}